Skip to main content
POST
/
api
/
knowledge-bases
/
{id}
/
webhooks
Error
A valid request URL is required to generate request examples
{
  "_id": "<string>",
  "accountId": "<string>",
  "knowledgeBaseId": "<string>",
  "name": "<string>",
  "enabled": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "steps": [
    {}
  ],
  "flowInputs": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "url": "<string>",
  "method": "<string>",
  "headers": {},
  "body": "<string>",
  "auth": {},
  "intervalMinutes": 123,
  "timeoutMs": 123,
  "lastTriggeredAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token using an API key (format nl_live_* or nl_test_*)

Path Parameters

id
string
required

Knowledge base ID

Body

application/json
name
string
required

Name of the webhook source

steps
object[]

Ordered list of steps to execute

flowInputs
object[]

Input variables for the step flow

url
string

URL to fetch content from

method
string

HTTP method for the URL request

headers
object

HTTP headers for the URL request

body
string

Request body for the URL request

auth
object

Authentication configuration for the URL request

intervalMinutes
integer

Polling interval in minutes

timeoutMs
integer

Request timeout in milliseconds

Response

Created webhook source

_id
string
required

Unique identifier

accountId
string
required

Owning account ID

knowledgeBaseId
string
required

Parent knowledge base ID

name
string
required

Webhook source name

enabled
boolean
required

Whether the webhook source is active

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
steps
object[]

Ordered list of execution steps

flowInputs
object[]

Input variables for the step flow

url
string

URL to fetch content from

method
string

HTTP method

headers
object

HTTP headers

body
string

Request body

auth
object

Authentication configuration

intervalMinutes
integer

Polling interval in minutes

timeoutMs
integer

Request timeout in milliseconds

lastTriggeredAt
string<date-time>

Timestamp of the last trigger